    <style include="pdf-shared cr-hidden-style">
      :host {
        --pdf-toolbar-background-color: rgb(50, 54, 57);
        --pdf-toolbar-text-color: rgb(241, 241, 241);
      }

      :host ::selection {
        background: rgba(255, 255, 255, 0.3);
      }

      /* We introduce a wrapper aligner element to help with laying out the main
       * toolbar content without changing the bottom-aligned progress bar. */
      #aligner {
        align-items: center;
        display: flex;
        padding: 0 8px;
        width: 100%;
      }

      #title {
        flex: 5;
        font-size: 0.87rem;
        font-weight: 500;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
      }

      #pageselector-container {
        /* The container resizes according to the width of the toolbar. On small
         * screens with large numbers of pages, overflow page numbers without
         * wrapping. */
        white-space: nowrap;
      }

      #buttons {
        flex: 5;
        text-align: end;
        user-select: none;
      }

      paper-progress {
        --paper-progress-active-color: var(--google-blue-300);
        --paper-progress-container-color: transparent;
        --paper-progress-height: 3px;
        transition: opacity 150ms;
        width: 100%;
      }

      #toolbar {
        background-color: var(--pdf-toolbar-background-color);
        box-shadow: var(--cr-elevation-2);
        color: var(--pdf-toolbar-text-color);
        display: flex;
        height: 48px;
        padding: 0 16px;
        position: relative;
      }

      #progress-container {
        bottom: 0;
        left: 0;
        margin: 0;
        position: absolute;
        right: 0;
        top: auto;
        width: auto;
      }

      :host([annotation-mode]) #annotate {
        background-color: var(--active-button-bg);
        border-radius: 50%;
      }

      #bookmarks {
        margin-inline-start: 8px;
      }

      .invisible {
        visibility: hidden;
      }

      @media(max-width: 675px) {
        #bookmarks {
          display: none;
        }
      }

      @media(max-width: 450px) {
        #rotate-right {
          display: none;
        }
      }

      @media(max-width: 400px) {
        #buttons,
        #pageselector-container {
          display: none;
        }
      }
    </style>
    <div id="toolbar">
      <div id="aligner">
        <span id="title" title="[[docTitle]]">
          <span>[[docTitle]]</span>
        </span>

        <div id="pageselector-container">
          <viewer-page-selector id="pageselector" class="invisible"
              doc-length="[[docLength]]" page-no="[[pageNo]]">
          </viewer-page-selector>
        </div>

        <div id="buttons" class="invisible">
<if expr="chromeos">
          <template is="dom-if" if="[[pdfAnnotationsEnabled]]">
            <cr-icon-button id="annotate" iron-icon="pdf:create"
                disabled="[[!annotationAvailable]]" on-click="toggleAnnotation"
                aria-label="$i18n{tooltipAnnotate}"
                title="$i18n{tooltipAnnotate}"></cr-icon-button>
          </template>
</if>

          <cr-icon-button id="rotate-right" iron-icon="pdf:rotate-right"
              disabled="[[annotationMode]]" on-click="rotateRight"
              aria-label="$i18n{tooltipRotateCW}"
              title="$i18n{tooltipRotateCW}"></cr-icon-button>
          <viewer-download-controls id="downloads"
              has-edits="[[hasEdits]]"
              has-entered-annotation-mode="[[hasEnteredAnnotationMode]]"
              is-form-field-focused="[[isFormFieldFocused]]"
              pdf-form-save-enabled="[[pdfFormSaveEnabled]]">
          </viewer-download-controls>

          <cr-icon-button id="print" iron-icon="cr:print" on-click="print"
              hidden="[[!printingEnabled]]" title="$i18n{tooltipPrint}"
              aria-label="$i18n{tooltipPrint}"></cr-icon-button>

          <viewer-toolbar-dropdown id="bookmarks"
                                   selected
                                   metrics-id="bookmarks"
                                   hidden$="[[!bookmarks.length]]"
                                   open-icon="pdf:bookmark"
                                   closed-icon="pdf:bookmark-border"
                                   header="$i18n{bookmarks}">
            <template is="dom-repeat" items="[[bookmarks]]">
              <viewer-bookmark bookmark="[[item]]" depth="0"></viewer-bookmark>
            </template>
          </viewer-toolbar-dropdown>
        </div>
      </div>
      <div id="progress-container">
        <paper-progress id="progress"
            value="[[loadProgress]]"
            indeterminate="[[annotationMode]]"></paper-progress>
      </div>
    </div>

<if expr="chromeos">
    <viewer-annotations-bar annotation-mode="[[annotationMode]]" hidden>
    </viewer-annotations-bar>
</if>
